Subject: Re: [PATCH 0/10] re-based and expanded tree-walker cleanup patches

From: Junio C Hamano <[email-masked]>
Date: Mon, 29 May 2006 21:26:59 -0700

Linus Torvalds <[email-masked]> writes:

> Having to move around whole patches in the editor is not what you want to 
> do.

I know.  What I meant was:

	$ format-patch >those-patches
        $ am -i those-patches
	.. say no to the first two and yes to the third one
        $ am -i those-patches ;# again!!
        .. say yes to the first two

> I was thinking more along the lines of
>
>  (a) git-rev-list --pretty=oneline "$upstream"..ORIG_HEAD > rev-list
>
>  (b) edit the rev-list, moving the single lines around, deleting them, etc
>
>  (c) cat rev-list |
>      git-format-patch -k --stdout --stdin --full_index |
>      git-am
>
> because the "--pretty=oneline" format is actually very nice as a way to 
> re-order things and select single commits to be deleted or whatever..

I like this approach as well.